# Google Cloud Secrets Manager

This module will create a Google Secret Manager secret and associated secret
version with a passed content.

This module conforms to the [terraform standard module
structure](https://www.terraform.io/docs/modules/create.html#standard-module-structure).

The id, the version and the url for the secret created are available from the project
[outputs](outputs.tf). Configuration variables are documented in [variables.tf](variables.tf).

## Versioning

The `master` branch contains the tip of development and corresponds to the `v2`
branch. The `v1` branch will maintain source compatibility with the initial
release.

## Usage Examples

The [examples](examples/) directory contains examples of use. A basic usage
example is available in [examples/root-example](examples/root-example/).
